Get bindings that apply to an agent execution
curl --request GET \
--url https://api.dev.swarmd.ai/relay/v1/policy-bindings/cascade \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dev.swarmd.ai/relay/v1/policy-bindings/cascade"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dev.swarmd.ai/relay/v1/policy-bindings/cascade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"bindingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>",
"groupVersion": "<string>",
"isLatestGroupVersion": true,
"bindingLevel": "TENANT",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sourceAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sourceUser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sinkAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"channel": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"mcpServer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"llmGateway": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"priority": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]Policy Bindings
Get bindings that apply to an agent execution
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | TENANT | READ | TENANT:READ |
Returns all bindings that would apply to a specific agent execution, ordered by priority.
GET
/
relay
/
v1
/
policy-bindings
/
cascade
Get bindings that apply to an agent execution
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Query Parameters
Response
200 - application/json
OK
Available options:
TENANT, ANY_TO_AGENT, AGENT_TO_AGENT, USER_TO_AGENT, CHANNEL_TO_ANY_AGENT, CHANNEL_TO_AGENT, ANY_TO_MCP_SERVER, ANY_TO_LLM_GATEWAY, AGENT_TO_MCP_SERVER, AGENT_TO_LLM_GATEWAY, USER_TO_LLM_GATEWAY Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
